package com.ruoyi.mxjb.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 学生错题流水对象 mxjb_wrong_detail
 * 
 * @author mingxue
 * @date 2021-06-12
 */
public class MxjbWrongDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** wrong_detail_id */
    private Long wrongDetailId;

    /** wrong_id */
    @Excel(name = "wrong_id")
    private Long wrongId;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    /** 来源 */
    @Excel(name = "来源")
    private String source;

    /** 状态 */
    @Excel(name = "状态")
    private Integer state;

    @Excel(name = "试卷Id")
    private Long paperId;

    @Excel(name = "考卷Id")
    private Long examineeId;

    public void setWrongDetailId(Long wrongDetailId) 
    {
        this.wrongDetailId = wrongDetailId;
    }

    public Long getWrongDetailId() 
    {
        return wrongDetailId;
    }
    public void setWrongId(Long wrongId) 
    {
        this.wrongId = wrongId;
    }

    public Long getWrongId() 
    {
        return wrongId;
    }
    public void setCreatedTime(Date createdTime) 
    {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() 
    {
        return createdTime;
    }
    public void setSource(String source) 
    {
        this.source = source;
    }

    public String getSource() 
    {
        return source;
    }
    public void setState(Integer state) 
    {
        this.state = state;
    }

    public Integer getState() 
    {
        return state;
    }

    public Long getPaperId() {
        return paperId;
    }

    public void setPaperId(Long paperId) {
        this.paperId = paperId;
    }

    public Long getExamineeId() {
        return examineeId;
    }

    public void setExamineeId(Long examineeId) {
        this.examineeId = examineeId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("wrongDetailId", getWrongDetailId())
            .append("wrongId", getWrongId())
            .append("createdTime", getCreatedTime())
            .append("source", getSource())
            .append("state", getState())
            .toString();
    }
}
